Bug 996081 - Custom form layout cannot be saved - layout preview not available
Custom form layout cannot be saved - layout preview not available
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Form Modeler (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER3
: 6.0.0
Assigned To: Neus Miras
Jan Hrcek
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 07:32 EDT by Jan Hrcek
Modified: 2014-08-06 16:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:11:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Exception from server.log (7.49 KB, text/x-log)
2013-08-12 07:32 EDT, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2013-08-12 07:32:00 EDT
Created attachment 785653 [details]
Exception from server.log

Description of problem:
When editing 'Custorm form layout' in 'Form properties' section of Form Modeler, it is impossible to view the resulting rendering of a form.
After the custom form layout is edited and 'Save' button is clicked, no change is displayed in the UI and exception appears in the log (see attachment)

Version-Release number of selected component (if applicable):
BPMS 6.0.0.CR1 deployed on EAP 6.1.0

How reproducible:
Always

Steps to Reproduce:
1. Open some existing form in form modeler (e.g. repo: jbpm-playground, project: Evaluation, Form: Evaluation-taskform)
2. Go to Form Properties, select radio button 'Custom form layout' and click 'Edit' link next to it
3. Fill in some fields in custom form layout and click 'Save' button

Actual results:
No change is reflected in the UI. Exception appears in the server log (see attachment)


Expected results:
The custom form layout should be saved without exception and preview of how the form will be rendered should be displayed.
Comment 1 Neus Miras 2013-08-28 05:00:59 EDT
Now the specified class implements Comparable to avoid problems in collection management.
 
To save the 'Custom form layout' the user has to make sure to click the 'Save' button to see the changes in UI. After that, clicking in the upper Save option the user can persists the changes in the repository.

Commits:
https://github.com/droolsjbpm/jbpm-form-modeler/commit/fc297769d8bf3bb6d2d98702378a4276cb9a8811
Comment 3 Jan Hrcek 2013-09-24 04:26:06 EDT
Ok, verified with BPMS 6.0.0 ER3.

The save button now no longer causes an exception to be thrown and layout preview is shown after pressing it. There are other issues with custom form layout editor, but those will be reported in separate bugzillas.

Note You need to log in before you can comment on or make changes to this bug.